Subject: Re: [Diffserv] Model - queues

From: [email-masked] (Longsong Lin)
Date: Wed, 8 Dec 1999 12:25:53 -0800

> 
> 
> Dan Grossman wrote:
> 	[..]
> > If we wanted to be inclusive of a non-FIFO data structure, than we could
> > change the name to 'packet buffering structure' or something like that and
> > give FIFO as an example.
> 
> I'm uncomfortable with us heading off into descriptions of how
> the data structures are built to instantiate the queues. How
> about just using "FIFO" as a description of how the queue behaves
> from the perspective of scheduling, then use functional descriptions
> of how the discard might operate. The fact that a push-out discard
> process might imply non-FIFO data structures is, to me, too much
> detail.
> 
> cheers,
> gja
 
How about first discribing general functions of the buffer management
and packet scheduling and then giving 
head/tail dropper and FIFO/non-FIFO disciplines as examples 
to illustrate the points, leading towards more logical reading.

Regards,

llin

_______________________________________________
diffserv mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

---

From: Grenville Armitage <[email-masked]>
Date: Wed, 08 Dec 1999 14:46:10 -0800

Longsong Lin wrote:
	[..]
> to illustrate the points, leading towards more logical reading.

Given the constraint against packet re-ordering, the scheduling
behavior is FIFO. Its the location of the discard event, once
triggered, that needs clarification.

gja